Technologies Summary

‌‌
The Technologies Summary endpoint will provide you with the number of domains across different countries and languages that use the specified technology names, technology groups, or technology categories.

checked POST
Pricing

Your account will be charged for each request.
The cost can be calculated on the Pricing page.

All POST data should be sent in the JSON format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live API call can contain only one task.
 
Description of the fields for setting a task:

Field nameTypeDescription
technology_pathsarray

target technology paths
required field if you don't specify groups, technologies and categories
each technology path should be specified as a separate object containing "path" and "name", where "path" is specified as "$group_id.$category_id" and "name" - as the name of the target technology;
each object with a technology path should be separated with a comma
you can find the full list of technology group ids, category ids and technology names on this page
note: you can specify up to 10 technology paths in this array
example:
[{"path": "content.cms","name": "wordpress"}, {"path": "marketing.crm","name": "salesforce"}]

groupsarray

ids of the target technology groups
required field if you don't specify technologies, technology_paths, categories, or keywords
you can find the full list of technology group ids on this page
note: you can specify up to 10 technology groups in this array
example:
["sales", "marketing"]

categoriesarray

ids of the target technology categories
required field if you don't specify groups, technology_paths, technologies, or keywords
you can find the full list of technology category ids on this page
note: you can specify up to 10 technology categories in this array
example:
["payment_processors","crm"]

technologiesarray

target technologies
required field if you don't specify groups, technology_paths, categories, or keywords
you can find the full list of technologies you can specify here on this page
note: you can specify up to 10 technologies in this array
example:
["Google Pay","Salesforce"]

keywordsarray

target keywords in the domain's title, description or meta keywords
required field if you don't specify groups, technology_paths, categories, or technologies
you can specify the maximum of 10 keywords;
UTF-8 encoding;
example:
["seo","software"]

learn more about rules and limitations of keyword and keywords fields in DataForSEO APIs in this Help Center article

modestring

search mode
optional field
possible search mode types:
as_is - search for results exactly matching the specified group ids, category ids, or technology names
entry - search for results matching a part of the specified group ids, category ids, or technology names
default value: as_is

filtersarray

array of results filtering parameters
optional field
you can add several filters at once (8 filters maximum)
you should set a logical operator and, or between the conditions
the following operators are supported:
<, <=, >, >=, =, <>, in, not_in, like,not_like
you can use the % operator with like and not_like to match any string of zero or more characters
you can use the following parameters to filter the results: domain_rank, last_visited, country_iso_code, language_code, content_language_code
example:
[["country_iso_code","=","US"],
"and",
["domain_rank",">",800]]

for more information about filters, please refer to Domain Analytics Technologies API - Filters

internal_list_limitinteger

maximum number of elements within internal arrays
optional field
you can use this field to limit the number of elements within the following arrays:
countries, languages, content_languages, keywords
default value: 10
minimum value: 1
maximum value: 10000

tagstring

user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data object of the response


As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        countriesobject

distribution of websites by country
contains country codes and number of websites per country

        languagesobject

distribution of websites by language
contains language codes and number of websites per language

        content_languagesobject

distribution of websites by content language
contains content language codes and number of websites per language

        keywordsobject

distribution of websites by keywords
contains keywords found in the websites' titles, descriptions or meta keywords, and number of websites using each keyword


‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/domain_analytics/technologies/technologies_summary/live" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
    {
        "mode": "entry",
        "technologies": [
            "Ngi"
        ],
        "keywords": [
            "WordPress"
        ],
        "filters": [
            [
                "country_iso_code",
                "=",
                "US"
            ],
            "and",
            [
                "domain_rank",
                ">",
                800
            ]
        ]
    }
]'
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');

$post_array = array();
// You can set only one task at a time
$post_array[] = array(
	"technologies" => [
		"Nginx"
	],
	"keywords" => [
		"WordPress"
	],
	"filters" => [
		[
			"country_iso_code",
			"=",
			"US"
		],
		"and",
		[
			"domain_rank",
			">",
			800
		]
	]
);
try {
	// POST /v3/domain_analytics/technologies/technologies_summary/live
	$result = $client->post('/v3/domain_analytics/technologies/technologies_summary/live', $post_array);
	print_r($result);
	// do something with post result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
const post_array = [];
post_array.push({
	"technologies": ["Nginx"],
	"keywords": ["WordPress"],
	"filters": [["country_iso_code", "=", "US"], "and", ["domain_rank", ">", 800]]
});
const axios = require('axios');
axios({
	method: 'post',
	url: 'https://api.dataforseo.com/v3/domain_analytics/technologies/technologies_summary/live',
	auth: {
		username: 'login',
		password: 'password'
	},
	data: post_array,
	headers: {
		'content-type': 'application/json'
	}
}).then(function(response) {
	var result = response['data']['tasks'];
	// Result data
	console.log(result);
}).catch(function(error) {
	console.log(error);
});
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# You can set only one task at a time
post_data[len(post_data)] = dict(
    technologies = [
            "Nginx"
    ],
    keywords = [
            "WordPress"
    ],
    filters = [
            [
                "country_iso_code",
                "=",
                "US"
            ],
            "and",
            [
                "domain_rank",
                ">",
                800
            ]
    ]
)
# POST /v3/domain_analytics/technologies/technologies_summary/live
response = client.post("/v3/domain_analytics/technologies/technologies_summary/live", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task domain_analytics_technologies_technologies_summary_live()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            // You can set only one task at a time
            postData.Add(new
            {
                technologies = new[]{ "Nginx" },
                keywords = new[]{ "WordPress" },
                filters = new object[]
                {
                    new object[] { "country_iso_code", "=", "US" },
                    "and",
                    new object[] { "domain_rank", ">", 800 }
                }
            });
            // POST /v3/domain_analytics/technologies/technologies_summary/live
            var taskPostResponse = await httpClient.PostAsync("/v3/domain_analytics/technologies/technologies_summary/live", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
    "version": "0.1.20220819",
    "status_code": 20000,
    "status_message": "Ok.",
    "time": "1.3292 sec.",
    "cost": 0.01,
    "tasks_count": 1,
    "tasks_error": 0,
    "tasks": [
        {
            "id": "10171409-1535-0492-0000-337ee8538e4a",
            "status_code": 20000,
            "status_message": "Ok.",
            "time": "1.2371 sec.",
            "cost": 0.01,
            "result_count": 1,
            "path": [
                "v3",
                "domain_analytics",
                "technologies",
                "technologies_summary",
                "live"
            ],
            "data": {
                "api": "domain_analytics",
                "function": "technologies_summary",
                "se": "technologies",
                "mode": "entry",
                "technologies": [
                    "Ngi"
                ],
                "keywords": [
                    "WordPress"
                ],
                "filters": [
                    [
                        "country_iso_code",
                        "=",
                        "US"
                    ],
                    "and",
                    [
                        "domain_rank",
                        ">",
                        800
                    ]
                ]
            },
            "result": [
                {
                    "countries": {
                        "US": 5
                    },
                    "languages": {
                        "en": 4,
                        "de": 1
                    },
                    "content_languages": {
                        "en": 4,
                        "de": 1
                    },
                    "keywords": {
                        "wordpress buddypress bbpress community support forums": 2
                    }
                }
            ]
        }
    ]
}